### Function

# EDataServer util_filename_is_in_path

since: 3.60

#### Declaration [src]

    gboolean
    e_util_filename_is_in_path (
      const gchar* filename,
      const gchar* path
    )

#### Description [src]

Checks whether the `filename` is stored under `path`. It use canonicalized form of the paths before comparing them. Both the `filename` and `path` are expected to be absolute paths, is not, `FALSE` is returned.

Available since: 3.60

#### Parameters

`filename`

  Type: `const gchar*`

  A filename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path`

  Type: `const gchar*`

  An expected path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the `filename` is stored under `path`.